Name:           drwright
Version:        2.91.91
Release:        1%{?dist}
Summary:        Typing monitor to force typing breaks

License:        GPLv2+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/%{name}/2.91/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  gtk3-devel >= 3.0.0
BuildRequires:  control-center-devel >= 2.91.6
BuildRequires:  gnome-settings-daemon-devel >= 2.91.8
BuildRequires:  libnotify-devel >= 0.7
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  libXScrnSaver-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libSM-devel

%description
%{summary}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name} --with-gnome
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-typing-break-panel.desktop
rm $RPM_BUILD_ROOT/%{_libdir}/control-center-1/panels/libdrwrightccp.la
rm $RPM_BUILD_ROOT/%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.la

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
if [ $1 -eq 1 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/gnome-typing-break-panel.desktop
%{_datadir}/icons/hicolor/*/apps/typing-monitor.png
%{_datadir}/icons/hicolor/*/apps/typing-monitor.svg
%{_libdir}/control-center-1/panels/libdrwrightccp.so
%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.so
%{_libdir}/gnome-settings-daemon-3.0/typing-break.gnome-settings-plugin

%changelog
* Mon Mar  7 2011 Christopher Aillon <caillon@redhat.com> - 2.91.91-1
- Initial package
